/*************************************************************************
*	AUTHOR		: Misagh Tavanpour, Jan Mikhail 
*	Email		: misagh_tavanpour@yahoo.com jan.mikhail@carleton.ca
*	DATE		: 04-10-2013
*************************************************************************/
#ifndef AVERAGE_H_
#define AVERAGE_H_

#include <stdio.h>

//using namespace std;

class Average{
	public:
		Average();
		~Average();

		void addDataRate(double value);
		void addDelay(double value);
		void addMsgSize(double value);
		void addDistance(double value);
		void addReceivedPower(double value);
		void addSpeed(double value);

		double getAvgDataRate();
		double getAvgDelay();
		double getAvgMsgSize();
		double getAvgDistance();
		double getAvgReceivedPower();
		double getAvgSpeed();

	private:
		double sumDataRate;
		double sumDelay;
		double sumMsgSize;
		double sumDistance; //sum of distnace between sender and receiver
		double sumReceivedPower; //measured on the receiver's side
		double sumSpeed;
		int countDataRate;  
		int countDelay;
		int countMsgSize;
		int countDistance; 
		int countReceivedPower;
		int countSpeed;
};

#endif /*AVERGAE_H_*/
